Accounts

Confirm a procedure of changing a trading account password

Confirm the current step of a procedure of changing a trading account password with a verification code. The same method is used to confirm a two-factor authentication (2FA) code (when 2FA is enabled) and a verification code delivered to a client email address — the wizard routes the code to the step it is currently on.

POST
/api/v2/my/accounts/{accountId}/password/confirm

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

accountId*integer

The account identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/accounts/1/password/confirm" \  -H "Content-Type: application/json" \  -d '{    "code": 801765,    "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732"  }'
{  "code": 200,  "data": {},  "done": false,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "account_password_change"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}